# AsyncBenchContinue
<span class="source-link">[[Source]](src/ponybench/_runner.md#L127)</span>
```pony
class val AsyncBenchContinue
```

## Constructors

### _create
<span class="source-link">[[Source]](src/ponybench/_runner.md#L131)</span>


```pony
new val _create(
  run_async: _RunAsync tag,
  f: {(U64)} val)
: AsyncBenchContinue val^
```
#### Parameters

*   run_async: [_RunAsync](ponybench-_RunAsync) tag
*   f: {(U64)} val

#### Returns

* [AsyncBenchContinue](ponybench-AsyncBenchContinue) val^

---

## Public Functions

### complete
<span class="source-link">[[Source]](src/ponybench/_runner.md#L135)</span>


```pony
fun box complete()
: None val
```

#### Returns

* [None](builtin-None) val

---

### fail
<span class="source-link">[[Source]](src/ponybench/_runner.md#L139)</span>


```pony
fun box fail()
: None val
```

#### Returns

* [None](builtin-None) val

---

